Bug 18037 - Hold notes template cleanup (from 15545)
Summary: Hold notes template cleanup (from 15545)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15545
  Show dependency treegraph
 
Reported: 2017-02-02 12:46 UTC by Marcel de Rooy
Modified: 2017-03-12 22:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18037: Hold notes template cleanup (from 15545) (5.74 KB, patch)
2017-02-02 13:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18037: Hold notes template cleanup (from 15545) (6.47 KB, patch)
2017-02-02 13:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18037: Hold notes template cleanup (from 15545) (6.50 KB, patch)
2017-02-20 12:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-02-02 12:46:58 UTC

    
Comment 1 Marcel de Rooy 2017-02-02 13:24:13 UTC
Created attachment 59814 [details] [review]
Bug 18037: Hold notes template cleanup (from 15545)

From the second patch of bug 15545:
Removing some unused template code related to a former approach.
Adding some changes for future extension by bug 15545.

This patch was tested by Liz Rea when the routine IsHoldNoteRequired was
called by opac-reserve.pl. The only change here is that we do not yet
call this routine; so leaving her original signoff.

Test plan:
[1] Enable OPACHoldNotes.
[2] Place a hold on a serial record. No behavior change.

Signed-off-by: Liz Rea  <liz@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2017-02-02 13:30:35 UTC
Created attachment 59815 [details] [review]
Bug 18037: Hold notes template cleanup (from 15545)

From the second patch of bug 15545:
Removing some unused template code related to a former approach.
Adding some changes for future extension by bug 15545.

This patch was tested by Liz Rea when the routine IsHoldNoteRequired was
called by opac-reserve.pl. The only change here is that we do not yet
call this routine; so leaving her original signoff.

Test plan:
[1] Enable OPACHoldNotes.
[2] Place a hold on a serial record. No behavior change.

Signed-off-by: Liz Rea  <liz@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Jonathan Druart 2017-02-20 12:48:28 UTC
Created attachment 60461 [details] [review]
Bug 18037: Hold notes template cleanup (from 15545)

From the second patch of bug 15545:
Removing some unused template code related to a former approach.
Adding some changes for future extension by bug 15545.

This patch was tested by Liz Rea when the routine IsHoldNoteRequired was
called by opac-reserve.pl. The only change here is that we do not yet
call this routine; so leaving her original signoff.

Test plan:
[1] Enable OPACHoldNotes.
[2] Place a hold on a serial record. No behavior change.

Signed-off-by: Liz Rea  <liz@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-03-03 18:11:10 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 5 Katrin Fischer 2017-03-12 22:57:53 UTC
This won't get ported back to 16.11.x as it is an enhancement.